Checks if function in namespace

- « ReflectionFunctionAbstract::hasTentativeReturnType

- ReflectionFunctionAbstract::isClosure »

- PHP Manual
- ReflectionFunctionAbstract
- Checks if function in namespace

# ReflectionFunctionAbstract::inNamespace

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

ReflectionFunctionAbstract::inNamespace — Checks if function in namespace

### Description

public ReflectionFunctionAbstract::inNamespace(): bool

Checks whether a function is defined in a namespace.

### Parameters

This function has no parameters.

### Return Values

`true` if it's in a namespace, otherwise `false`

### See Also

- ReflectionFunctionAbstract::getNamespaceName() - Gets namespace name
- namespaces